<?php $temps = []; ?>
<?php foreach ($serverCellDatas['entities'] as $entity): ?>
  <?php
  $serverCellDatas['entity'] = $entity;
  $part = sprintf(
    "%s / %s / %s / %s / %s",
    $entity->getTitle(),
    $serverCellDatas['helper']->getFieldView('switchinfo_uid', $entity->getSwitchInfoUid(), $serverCellDatas),
    $serverCellDatas['helper']->getFieldView('ip', $entity->getIP(), $serverCellDatas),
    $serverCellDatas['helper']->getFieldView('os', $entity->getOS(), $serverCellDatas),
    view_cell("\App\Cells\Equipment\ServerPartCell::parttable", [
      'serverinfo_uid' => $entity->getPK(),
      'types' => SERVERPART['SERVICE_PARTTYPES'],
      'template' => 'servicelist',
    ])
  );
  $html = $serverCellDatas['serverPartHelper']->getFieldView('SERVER', "", ['serverEntity' => $entity]) . " / " . $part;
  ?>
  <?php $temps[] = sprintf(
    "<span class=\"serverparts\" style=\"cursor:pointer;\" onClick=\"copyServerPartToClipboard('%s')\" text-data=\"%s\">📋</span>%s%s",
    $entity->getCode() . ' / ' . $part,
    $part,
    $serverCellDatas['serviceEntity']->getServerInfoUid() == $entity->getPK() ? "📌" : "✔️",
    $html
  ) ?>
<?php endforeach; ?>
<?= implode("<BR>", $temps) ?>